summaryrefslogtreecommitdiff
path: root/lib/mesa/mk/pkgconfig/gen_dri.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lib/mesa/mk/pkgconfig/gen_dri.sh')
-rw-r--r--lib/mesa/mk/pkgconfig/gen_dri.sh68
1 files changed, 68 insertions, 0 deletions
diff --git a/lib/mesa/mk/pkgconfig/gen_dri.sh b/lib/mesa/mk/pkgconfig/gen_dri.sh
new file mode 100644
index 000000000..52aa1acfd
--- /dev/null
+++ b/lib/mesa/mk/pkgconfig/gen_dri.sh
@@ -0,0 +1,68 @@
+#!/bin/sh
+#
+# $OpenBSD: gen_dri.sh,v 1.1 2020/08/26 06:02:41 jsg Exp $
+#
+# Copyright (c) 2010,2011 Jasper Lievisse Adriaanse <jasper@openbsd.org>
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+#
+# Generate pkg-config file for dri
+
+usage() {
+ echo "usage: ${0##*/} -c current_directory -o obj_directory"
+ exit 1
+}
+
+curdir=
+objdir=
+while getopts "c:o:" flag; do
+ case "$flag" in
+ c)
+ curdir=$OPTARG
+ ;;
+ o)
+ objdir=$OPTARG
+ ;;
+ *)
+ usage
+ ;;
+ esac
+done
+
+[ -n "${curdir}" ] || usage
+if [ ! -d "${curdir}" ]; then
+ echo "${0##*/}: ${curdir}: not found"
+ exit 1
+fi
+[ -n "${objdir}" ] || usage
+if [ ! -w "${objdir}" ]; then
+ echo "${0##*/}: ${objdir}: not found or not writable"
+ exit 1
+fi
+
+lib_version=$(cat ${curdir}/../../VERSION)
+
+pc_file="${objdir}/dri.pc"
+cat > ${pc_file} << __EOF__
+prefix=/usr/X11R6
+libdir=\${prefix}/lib
+includedir=\${prefix}/include
+
+dridriverdir=/usr/X11R6/lib/modules/dri
+
+Name: dri
+Description: Direct Rendering Infrastructure
+Version: ${lib_version}
+Requires.private: libdrm >= 2.4.100
+Cflags: -I\${includedir}
+__EOF__